Ticket #127 (closed defect: fixed)

Opened 13 years ago

Last modified 13 years ago

debathenificator can't deal with +'s in package versions

Reported by: broder Owned by:
Priority: normal Milestone:
Component: Keywords:
Cc: Fixed in version:
Upstream bug:

Description

Alpine has a + in the package version, which ends up getting used as a regex metacharacter in the dpkg-awk line near the end of debathenificator.sh. This means that debathenify-alpine always tries to build a new package, even if there's already one with the same version number.

Change History

comment:1 Changed 13 years ago by broder

  • Status changed from new to closed
  • Resolution set to fixed

Fixed by adapting similar functionality in debathenify-openafs - r23626

Note: See TracTickets for help on using tickets.